"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const color_1 = require("../util/color");
const createPaletteItem = (paletteItem, theme) => {
    let result = {};
    if (typeof paletteItem === 'string') {
        result.main = paletteItem;
    }
    else {
        result = Object.assign(Object.assign({}, result), paletteItem);
        if (!result.main) {
            console.error('Palette main color is missing...');
        }
    }
    const mainColor = (0, color_1.getColor)(result.main);
    result.background || (result.background = result.main);
    result.font || (result.font = (0, color_1.getFontColor)(result.main, theme));
    result.shadow || (result.shadow = mainColor.alpha(.5).rgb().toString());
    result.dark || (result.dark = mainColor.darken(.075).hex().toString());
    result.darker || (result.darker = mainColor.darken(.175).hex().toString());
    result.darkest || (result.darkest = (0, color_1.getColor)(result.darker).darken(.075).hex().toString());
    result.light || (result.light = mainColor.lighten(.075).hex().toString());
    result.lighter || (result.lighter = mainColor.lighten(.175).hex().toString());
    result.lightest || (result.lightest = (0, color_1.getColor)(result.lighter).lighten(.075).hex().toString());
    result.soft || (result.soft = (0, color_1.mix)(result.main, -.8));
    result.softFont || (result.softFont = (0, color_1.mix)(result.main, .4));
    result.softDark || (result.softDark = (0, color_1.mix)(result.main, -.72));
    result.softDarker || (result.softDarker = (0, color_1.mix)(result.main, -.65));
    result.softDarkest || (result.softDarkest = (0, color_1.mix)(result.main, -.55));
    return result;
};
exports.default = createPaletteItem;
