export interface NestedObject<T> {
    [key: string]: T | NestedObject<T>;
}
export declare type Partial<T> = {
    [key in keyof T]?: T[key] extends object ? Partial<T[key]> : T[key];
};
export interface Size<T> {
    small: T;
    medium: T;
    large: T;
    [key: string]: T;
}
export declare type SizeProp = 'small' | 'medium' | 'large' | (string & {});
export declare type Value = string | number;
